=== debian/changelog ===
pd-purest-json (1.4.0~repack-2) unstable; urgency=medium

  * Fixed debian/watch
  * Re-arranged Depends
  * Bumped standard version to 3.9.7

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 16 Feb 2016 13:08:08 +0100

pd-purest-json (1.4.0~repack-1) unstable; urgency=medium

  * Initial release. (Closes: #804490)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 09 Jan 2016 21:04:37 +0100
