=== debian/control ===
Source: pd-purest-json
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends: cdbs (>= 0.4.91~),
 debhelper,
 dh-buildinfo,
 puredata-dev | puredata,
 libjson-c-dev,
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 uthash-dev,
 liboauth-dev
Standards-Version: 3.9.7
Homepage: https://github.com/residuum/PuRestJson
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pd-purest-json.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pd-purest-json.git

Package: pd-purest-json
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 puredata-core | pd
Recommends: pd-libdir
Suggests: couchdb
Description: Pd library for working with JSON data and RESTful webservices
 PuREST JSON is a library for Pure Data (Pd) for decoding and encoding JSON
 data.
 The library can issue HTTP statements, so consumation of RESTful services is
 possible, e.g. CouchDB.
