=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2015 IOhannes m zmölnig <umlaeute@debian.org>
# Description: Main Debian packaging script for PuRestJson

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/class/pd.mk
include /usr/share/cdbs/1/rules/utils.mk

CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
CDBS_BUILD_DEPENDS_rules_utils_buildinfo =

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        ^(manual/.*\.png|debian/(changelog|copyright(|_hints|_newhints)))$

CFLAGS+=$(CPPFLAGS) -I/usr/include/pd

build/pd-purest-json::
	cp README.md README.txt

clean::
	rm -f README.txt
