=== debian/changelog ===
pd-purest-json (1.4.1-1) unstable; urgency=medium

  * Imported Upstream version 1.4.1

  * No longer repack upstream, since they have dropped debian/
  * Dropped patches applied upstream.
  * Use Makefile.pdlibbuilder provided in debian/
  * Updated copyright information
  * Documented how to properly clone the packaging repo with gbp.
  * Bumped standards version to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 09 Aug 2016 11:57:49 +0200
