=== debian/changelog ===
pd-purest-json (1.4.2-3) unstable; urgency=medium

  * Switched to system-provided Makefile.pdlibbuilder
    * Patch to use arbistrary pdlibbuilder Makefile
    * Dropped d/Makefile.pdlibbuilder & updated d/copyright

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Feb 2018 14:44:51 +0100

pd-purest-json (1.4.2-2) unstable; urgency=medium

  * Switched buildsystem from dh to cdbs
    * Bumped dh compat to 11
    * Enabled hardening
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Removed trailing whitespace in debian/*
  * Switched URLs to https://
  * Updated d/copyright_hints
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:34:27 +0100

pd-purest-json (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2

  * Refreshed patches
  * Removed doc-base
    * point to online manual
  * Bumped d/compat to 9

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Jan 2017 16:58:28 +0100
