=== debian/control ===
Source: pd-purest-json
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>=11~),
 dh-buildinfo,
 puredata-dev | puredata,
 pd-lib-builder,
 libjson-c-dev,
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 uthash-dev,
 liboauth-dev,
Standards-Version: 4.1.3
Homepage: https://github.com/residuum/PuRestJson
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-purest-json.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-purest-json

Package: pd-purest-json
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata-core | pd,
Recommends:
 pd-libdir,
Suggests:
 couchdb,
Description: Pd library for working with JSON data and RESTful webservices
 PuREST JSON is a library for Pure Data (Pd) for decoding and encoding JSON
 data.
 The library can issue HTTP statements, so consumation of RESTful services is
 possible, e.g. CouchDB.
