=== debian/changelog ===
pd-purest-json (1.4.3-2) unstable; urgency=medium

  * Patch to fix reading of json-data (Closes: #984787)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Mar 2021 13:14:11 +0100

pd-purest-json (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3
    * Drop patches applied upstream
    * Remove obsolete "is_error" replacement
  * Refresh d/copyright
    * Regenerated d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 09 Dec 2019 22:47:59 +0100

pd-purest-json (1.4.2-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig ]
  * Inject is_error() fallback
  * Declare that building this package doesn't require "root" powers
  * Drop obsolete file d/source/local-options
  * Bump dh compat to 12
  * Bump standards version to 4.4.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 29 Oct 2019 13:49:38 +0100

pd-purest-json (1.4.2-4) unstable; urgency=medium

  * Dropped override_dh_(build,clean) in favour of using symlinks
    (Closes: #900292)
  * Fixed spelling error in d/changelog
  * Bumped standards version to 4.1.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 17 Jul 2018 09:29:44 +0200
