=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pd-purest-json
+Standards-Version: 4.4.1
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>=11~),
+ debhelper-compat (= 12),
  dh-buildinfo,
  puredata-dev | puredata,
  pd-lib-builder,
@@ -13,7 +14,7 @@
  libcurl4-gnutls-dev | libcurl4-openssl-dev,
  uthash-dev,
  liboauth-dev,
-Standards-Version: 4.1.3
+Rules-Requires-Root: no
 Homepage: https://github.com/residuum/PuRestJson
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-purest-json.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-purest-json
