=== debian/changelog ===
pd-purest-json (2.0.1-4) unstable; urgency=medium

  * Team Upload
  * Remove obsolete blurb about CDBS from d/README.source
  * Remove obsolete build-dep dh-buildinfo
  * Set tandards-Version: 4.7.2
  * Remove 'Rules-Requires-Root: no': it's the default now

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Update git repository layout to follow DEP-14

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Aug 2025 20:09:39 +0200

pd-purest-json (2.0.1-3) unstable; urgency=medium

  * Re-build for both single and double-precision Pd

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 15:34:01 +0200

pd-purest-json (2.0.1-2) unstable; urgency=medium

  * Explicitly set buildsystem to 'pd_lib_builder' (Closes: #1026684)
  * Remove superfluous deletion of LICENSE.txt prior to symlinking it.
  * Ensure that 'licensecheck' is run with the C.UTF-8 locale
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Dec 2022 22:05:19 +0100

pd-purest-json (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
    + Drop patches applied upstream
  * Switch to dh-sequence-pd-lib-builder
  * Update d/copyright
    + Modernize 'licensecheck' target
    + Regenerate d/copyright_hints
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Dec 2022 22:30:22 +0100

pd-purest-json (1.4.3-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add salsa-ci configuration
  * Apply "warp-and-sort -ast"
  * Bump dh-compat to 13
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 14:42:20 +0200
