=== debian/control ===
Source: pd-purest-json
Standards-Version: 4.7.2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-pd-lib-builder,
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libjson-c-dev,
 liboauth-dev,
 uthash-dev,
Homepage: https://github.com/residuum/PuRestJson
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-purest-json.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-purest-json

Package: pd-purest-json
Architecture: any
Depends:
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 ${puredata:Recommends},
Suggests:
 couchdb,
 ${puredata:Suggests},
Description: Pd library for working with JSON data and RESTful webservices
 PuREST JSON is a library for Pure Data (Pd) for decoding and encoding JSON
 data.
 The library can issue HTTP statements, so consumation of RESTful services is
 possible, e.g. CouchDB.
