=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
opts=dversionmangle=s/[~+](dfsg|repack)(\.\d*)?$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/PuRestJson-$1\.tar\.gz/ \
  https://github.com/residuum/PuRestJson/tags .*/v?(\d\S*)\.tar\.gz
